%define base_name       superkaramba-theme
%define theme_name      liquid_weather
%define name            %{base_name}-%{theme_name}
%define oversion	liquid_weather_plus
%define aversion	lwp
%define version         3.7.1
%define release         2plf

Name:	%{name}
Version:	%{version}
Release:        %{release}
Summary:        Meteo theme for superkaramba
License:        GPL
Group:          Monitoring
Source:         %{aversion}-%{version}.tar.bz2
URL:            http://homepages.comnet.co.nz/~matt-sarah/
Requires:       superkaramba >= 0.35
BuildRoot:      %{_tmppath}/%{name}-buildroot

%description
This is a desktop applet that displays weather information and forecasts.
This is in PLF because it contains some non free icones

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{oversion}

%build

%install
mkdir -p  %buildroot/%{_datadir}/apps/superkaramba/themes/%{oversion}
cp -rf *  %buildroot/%{_datadir}/apps/superkaramba/themes/%{oversion}
chmod 644 %buildroot/%{_datadir}/apps/superkaramba/themes/%{oversion}/translations/Spanish\(es-ES\)
chmod 644 %buildroot/%{_datadir}/apps/superkaramba/themes/%{oversion}/translations/Spanish\(es-UY\)
chmod 644 %buildroot/%{_datadir}/apps/superkaramba/themes/%{oversion}/translations/Catalan
mv %buildroot/%{_datadir}/apps/superkaramba/themes/%{oversion}/icons/flat/large_icons/.png %buildroot/%{_datadir}/apps/superkaramba/themes/%{oversion}/icons/flat/large_icons/00.png


 
%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ $1 = 1 ]; then
echo "THEME path=%{oversion}/%{theme_name}.theme" >> %{_datadir}/apps/superkaramba/themes/default.theme
fi

%postun
if [ $1 = 0 ]; then
cat %{_datadir}/apps/superkaramba/themes/default.theme | grep -v "%{theme_name}" > %{_datadir}/apps/superkaramba/themes/default.theme
fi

%files
%defattr(-,root,root)
%doc readme_faq.html
%dir %{_datadir}/apps/superkaramba/themes/%{oversion}
%{_datadir}/apps/superkaramba/themes/%{oversion}/*


%changelog
* Sun Mar 06 2005 Sebastien Savarin <plouf@zarb.org> 3.7.1-2plf
- spec file correction thanks to couriousous

* Sat Mar 05 2005 Sebastien Savarin <plouf@zarb.org> 3.7.1-1plf
- Initial Release.


